package com.clx.performance.dao.linewarn;

import com.clx.performance.mapper.linewarn.LineWarnOrderGoodsMapper;
import com.clx.performance.model.linewarn.LineWarnOrderGoods;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

import java.util.List;

public interface LineWarnOrderGoodsDao extends BaseDao<LineWarnOrderGoodsMapper, LineWarnOrderGoods, Integer> {

    boolean updateWarnStatus(LineWarnOrderGoods item);

    Optional<LineWarnOrderGoods> getByOrderGoodsNo(String orderGoodsNo);

    List<LineWarnOrderGoods> ListOrderGoodsNoOfWarn();
}
